<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class VI_WOO_BOPO_BUNDLE_DATA {
	private $params;
	private $default;
	protected static $instance = null;

	public function __construct() {
		global $bopobb_settings;
		if ( ! $bopobb_settings ) {
			$bopobb_settings = get_option( 'woo_bopo_bundle_params', array() );
		}
		$this->default = array(
			//Bundle
			'bopobb_bundle_quantity'       => 1,
			'bopobb_view_quantity'         => 0,
			'bopobb_view_stock'            => 0,
			'bopobb_view_ratting'          => 0,
			'bopobb_view_description'      => 0,
			'bopobb_view_full_description' => 0,
			'bopobb_short_des_position'    => 0,
			'bopobb_des_position'          => 0,
			'bopobb_link_individual'       => 0,
			'bopobb_out_stock'             => 0,
			'bopobb_remove_ready_cart'     => 0,
			'bopobb_edit_cart'             => 0,
			'bopobb_edit_checkout'         => 0,
			'bopobb_order_item_price'      => 0,
			'bopobb_item_price_single'     => 'hide',
			'bopobb_item_price_total'      => 'hide',
			'bopobb_calculate_price'       => 'current',
			'bopobb_meta_field_range'      => 0,
			'bopobb_conditional_tag'       => '',

			'bopobb_price_by'         => 'subtotal',
			'bopobb_price_saved'      => 'saved',
			'bopobb_coupon_res'       => 'bundled',
			'bopobb_custom_css'       => '',

			// Alert
			'bopobb_alert_products'   => 'Please select products for all items of the bundle.',
			'bopobb_alert_available'  => 'Please select product available.',
			'bopobb_alert_duplicate'  => 'The product is already in the bundle, please select the other.',
			'bopobb_alert_change'     => 'No product available to change.',
			'bopobb_alert_max'        => 'This item quantity must be less than',
			'bopobb_alert_min'        => 'This item quantity must be greater than',
			'bopobb_alert_stock'      => 'This item is out of stock',

			//swap button
			'bopobb_swap_text'        => 'Change',
			'bopobb_swap_pos'         => 1,
			'bopobb_swap_background'  => '#446084',
			'bopobb_swap_color'       => '#ffffff',

			//popup
			'bopobb_popup_filter'     => 0,
			'bopobb_popup_search'     => 0,
			'bopobb_popup_link'       => 1,
			'bopobb_duplicate_select' => 1,
			'bopobb_popup_title'      => 'Please select your product',
			'bopobb_popup_background' => '#ffffff',
			'bopobb_popup_color'      => '#000000',
			'bopobb_popup_variations' => 'list',
			'bopobb_popup_load_init'  => 'product',
			'bopobb_popup_fontsize'   => '',
			'bopobb_popup_page_items' => 32,

			'bopobb_swap_icon' => array(
				"bopobb_swap_icon-share-files",
				"bopobb_swap_icon-ab-testing",
				"bopobb_swap_icon-ab-testing-1",
				"bopobb_swap_icon-compare",
				"bopobb_swap_icon-compare-1",
				"bopobb_swap_icon-compare-2",
				"bopobb_swap_icon-comparative",
				"bopobb_swap_icon-risk",
				"bopobb_swap_icon-compare-3",
				"bopobb_swap_icon-compare-4",
				"bopobb_swap_icon-compare-5",
				"bopobb_swap_icon-decision",
				"bopobb_swap_icon-advantages",
				"bopobb_swap_icon-computer",
				"bopobb_swap_icon-diagram",
				"bopobb_swap_icon-balance",
				"bopobb_swap_icon-file",
				"bopobb_swap_icon-lists",
				"bopobb_swap_icon-website",
				"bopobb_swap_icon-skill",
				"bopobb_swap_icon-file-1",
				"bopobb_swap_icon-phone",
				"bopobb_swap_icon-compare-6",
				"bopobb_swap_icon-compare-7"
			),

			'bopobb_limit_item'       => 10,
			'bopobb_single_template'  => 1,
			'bopobb_item_column'      => 4,
			'bopobb_image_border'     => 0,
			'bopobb_image_size'       => 'shop_catalog',
			'bopobb_popup_image_size' => 'shop_catalog',
			'bopobb_alert_position'   => 'bottom',
			'bopobb_hide_price'       => 1,
			'bopobb_single_note'      => 0,
			'bopobb_title_note'       => 'Bundle note',
			'bopobb_social_share'     => array(),
//			'bopobb_export_pdf'       => 0,
			'bopobb_print_bundle'     => 0,
			'bopobb_shop_button'      => '',

			'bopobb_single_pos'       => 6,
			'bopobb_template_title'   => array(
				'vertical-bundle',
				'horizontal-bundle',
				'block-bundle'
			),
			'bopobb_type_include'     => array(
				'simple',
				'variable'
			),
			'bopobb_type_exclude'     => array(
				'bundle',
				'bopobb',
				'variable',
				'composite',
				'grouped',
				'external'
			),
			'bopobb_update_key'       => '',
		);
		$this->params  = apply_filters( 'woo_bopo_bundle_params', wp_parse_args( $bopobb_settings, $this->default ) );
	}

	/**
	 * Get params of setting
	 * @return mixed
	 */
	public function get_params( $name = "" ) {
		if ( ! $name ) {
			return $this->params;
		} elseif ( isset( $this->params[ $name ] ) ) {
			return apply_filters( 'woo_bopo_bundle_params' . $name, $this->params[ $name ] );
		} else {
			return false;
		}
	}

	/**
	 * Get default param setting
	 * @return mixed
	 */
	public function get_default( $name = "" ) {
		if ( ! $name ) {
			return $this->default;
		} elseif ( isset( $this->default[ $name ] ) ) {
			return apply_filters( 'woo_bopo_bundle_params' . $name, $this->default[ $name ] );
		} else {
			return false;
		}
	}

	public static function get_instance( $new = false ) {
		if ( $new || null === self::$instance ) {
			self::$instance = new self();
		}

		return self::$instance;
	}
}