<?php
/**
 * Simple product add to cart
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/add-to-cart/simple.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

if ( $product ) {
	$sc_product = $product;
}

if ( ! $sc_product || ! $sc_product->is_purchasable() ) {
	return;
}

if ( isset( $args['sticky'] ) && $args['sticky'] ) {
	$sticky_class = ' vi-wcaio-product-bt-atc vi-wcaio-sb-product-bt-atc';
} else {
	$sticky_class = '';
}

if ( $sticky_class ) {
	$product_id = $sc_product->get_id();
//		do_action( 'woocommerce_before_add_to_cart_form' );
//      do_action( 'woocommerce_before_add_to_cart_button' );
	do_action( 'vi_wcaio_before_add_to_cart_button' );
	do_action( 'woocommerce_before_add_to_cart_quantity' );
	if ( $settings && class_exists( 'VIWCAIO_CART_ALL_IN_ONE_Frontend_Sticky_Bar' ) ) {
		VIWCAIO_CART_ALL_IN_ONE_Frontend_Sticky_Bar::product_get_quantity( $sc_product, $settings->get_params( 'sb_quantity' ) );
	} else {
		woocommerce_quantity_input(
			array(
				'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $sc_product->get_min_purchase_quantity(), $sc_product ),
				'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $sc_product->get_max_purchase_quantity(), $sc_product ),
				'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( wc_clean( wp_unslash( $_POST['quantity'] ) ) ) : $sc_product->get_min_purchase_quantity(), // phpcs:ignore WordPress.Security.NonceVerification.Missing
				// WPCS: CSRF ok, input var ok.
			)
		);
	}

	do_action( 'woocommerce_after_add_to_cart_quantity' );
	?>

    <button type="submit" id="bopobb-add-to-cart" name="add-to-cart"
            value="<?php echo esc_attr( $product_id ); ?>"
            class="<?php echo esc_attr( 'vi-wcaio-product-bt-atc vi-wcaio-sb-product-bt-atc button' ); ?>">
		<?php if ( $settings && class_exists( 'VIWCAIO_CART_ALL_IN_ONE_Frontend_Sticky_Bar' ) ) {
			echo wp_kses_post( VIWCAIO_CART_ALL_IN_ONE_Frontend_Sticky_Bar::product_get_bt_atc_html( $settings, $language ? $language : '' ) );
		} ?>
    </button>
    <input type="hidden" name="add-to-cart" class="bopobb-wcaio-add-to-cart"
           value="<?php echo esc_attr( $product_id ); ?>">
	<?php //do_action( 'woocommerce_after_add_to_cart_button' );
} else {

	echo wc_get_stock_html( $sc_product ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

	if ( $sc_product->is_in_stock() ) : ?>

		<?php $product_id = $sc_product->get_id();
		//do_action( 'woocommerce_before_add_to_cart_form' ); ?>

        <form class="cart"
              action="<?php echo esc_url( isset( $parameters, $parameters['redirect'] ) && ! $parameters['redirect'] ? '' :
			      apply_filters( 'woocommerce_add_to_cart_form_action', $sc_product->get_permalink() ) ); ?>"
              method="post" enctype='multipart/form-data'>
			<?php if ( $product ) {
				do_action( 'woocommerce_before_add_to_cart_button' );
			} else {
				if ( $items = $sc_product->get_items() ) {
					$isDefault    = true;
					$isGetDefault = true;
					foreach ( $items['items'] as $item ) {
						if ( $item['bopobb_bpi_set_default'] != 1 || ! isset( $item['bopobb_bpi_default_product'] ) ) {
							$isDefault = false;
						}
						if ( $item['bopobb_bpi_set_default'] != 1 ) {
							$isGetDefault = false;
						}
					}
					if ( $isDefault ) {
						// All item has default in meta
						$ids = $sc_product->get_ids();
					} else if ( $isGetDefault ) {
						// Search default
						$ids = '';
						foreach ( $items['items'] as $item ) {
							$cart_product_array = VI_WOO_BOPO_BUNDLE_Frontend::bopobb_search_product( 1, 0, $item );
							if ( empty( $cart_product_array ) ) {
								break;
							}
							$cart_product_id       = $cart_product_array['product_id'];
							$cart_variation_string = isset( $cart_product_array['product_variation'] ) ? '%/' . $cart_product_array['product_variation'] : '';

							if ( $ids == '' ) {
								$ids .= $cart_product_id . '%/' . $item['bopobb_bpi_quantity'] . $cart_variation_string;
							} else {
								$ids .= '%&' . $cart_product_id . '%/' . $item['bopobb_bpi_quantity'] . $cart_variation_string;
							}
						}
					} else {
						$ids = '';
					}

					echo '<input name="bopobb_ids" class="bopobb_ids bopobb-ids" type="hidden" value="' . esc_attr( $ids ) . '"/>';
				}
				if ( isset( $bopo_settings ) && isset( $bopo_settings['bopobb_single_note'] ) && $bopo_settings['bopobb_single_note'] == 1 ) {
					echo '<input type="hidden" name="bopobb_product_note" id="bopobb_product_note" value="">';
				}
			}
			?>

			<?php
			do_action( 'woocommerce_before_add_to_cart_quantity' );

			woocommerce_quantity_input(
				array(
					'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $sc_product->get_min_purchase_quantity(), $sc_product ),
					'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $sc_product->get_max_purchase_quantity(), $sc_product ),
					'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( wc_clean( wp_unslash( $_POST['quantity'] ) ) ) : $sc_product->get_min_purchase_quantity(),// phpcs:ignore WordPress.Security.NonceVerification.Missing
					// WPCS: CSRF ok, input var ok.
				)
			);

			do_action( 'woocommerce_after_add_to_cart_quantity' );
			?>

            <button type="submit" id="bopobb-add-to-cart" name="add-to-cart"
                    value="<?php echo esc_attr( $product_id ); ?>"
                    class="<?php if ( empty( $sticky_class ) ) {
				        echo esc_attr( 'single_add_to_cart_button' );
			        } ?> button <?php echo esc_attr( $sticky_class ); ?>">
				<?php echo esc_html( $sc_product->single_add_to_cart_text() ); ?>
            </button>
			<?php if ( $sticky_class ) { ?>
                <input type="hidden" name="add-to-cart" class="bopobb-wcaio-add-to-cart"
                       value="<?php echo esc_attr( $product_id ); ?>">
			<?php } //do_action( 'woocommerce_after_add_to_cart_button' ); ?>
        </form>

		<?php //do_action( 'woocommerce_after_add_to_cart_form' ); ?>

	<?php endif;
} ?>
