<?php
if ( ! isset( $social_link ) || empty( $social_link ) || ! isset( $social_setting ) || empty( $social_setting ) ) {
	return;
}
$share_link_title = apply_filters( 'bopobb_social_share_title', isset( $social_link['share_title'] ) ? $social_link['share_title'] : '' );
$share_email_body = apply_filters( 'bopobb_social_email_share_body', isset( $social_link['email_body'] ) ? $social_link['email_body'] : '' );
$share_image_url  = apply_filters( 'bopobb_social_email_share_body', isset( $social_link['image_url'] ) ? $social_link['image_url'] : '' );

do_action( 'bopobb_before_social_share' ); ?>

    <div class="bopobb-social-share-wrap">
        <!--		<span class="bopobb-share-title share-icons-title">-->
		<?php //echo esc_html( $share_title ); ?><!--</span>-->
		<?php if ( in_array( 'facebook', $social_setting ) ) : ?>
            <a target="_blank" rel="noopener noreferrer nofollow" class="bopobb-social-share bopobb-share-facebook"
               href="https://www.facebook.com/sharer.php?u=<?php echo rawurlencode( $social_link['url'] ); ?>&p[title]=<?php echo esc_attr( $share_link_title ); ?>"
               data-link="https://www.facebook.com/sharer.php?u={bopobb_share}&p[title]=<?php echo esc_attr( $share_link_title ); ?>"
               data-url="<?php echo esc_url( $social_link['url'] ); ?>"
               title="<?php esc_html_e( 'Facebook', 'bopo-woocommerce-product-bundle-builder' ) ?>">
                <i class="bopobb-icm bopobb-icm-facebook"></i>
            </a>
		<?php endif; ?>

		<?php if ( in_array( 'twitter', $social_setting ) ) : ?>
            <a target="_blank" rel="noopener noreferrer nofollow" class="bopobb-social-share bopobb-share-twitter"
               href="https://twitter.com/share?url=<?php echo rawurlencode( $social_link['url'] ); ?>&amp;text=<?php echo esc_attr( $share_link_title ); ?>"
               data-link="https://twitter.com/share?url={bopobb_share}&amp;text=<?php echo esc_attr( $share_link_title ); ?>"
               data-url="<?php echo esc_url( $social_link['url'] ); ?>"
               title="<?php esc_html_e( 'Twitter', 'bopo-woocommerce-product-bundle-builder' ); ?>">
                <i class="bopobb-icm bopobb-icm-twitter"></i>
            </a>
		<?php endif; ?>

		<?php if ( in_array( 'email', $social_setting ) ) : ?>
            <a rel="nofollow" class="bopobb-social-share bopobb-share-email"
               href="mailto:?subject=<?php echo rawurlencode( $share_link_title ); ?>&amp;body=<?php echo esc_attr( $share_email_body ) . esc_url( $social_link['url'] ); ?>&amp;title=<?php echo esc_attr( $share_link_title ); ?>"
               data-link="mailto:?subject=<?php echo rawurlencode( $share_link_title ); ?>&amp;body=<?php echo esc_attr( $share_email_body ) . '{bopobb_share}'; ?>&amp;title=<?php echo esc_attr( $share_link_title ); ?>"
               data-url="<?php echo esc_url( $social_link['url'] ); ?>"
               title="<?php esc_html_e( 'Email', 'bopo-woocommerce-product-bundle-builder' ); ?>">
                <i class="bopobb-icm bopobb-icm-envelop"></i>
            </a>
		<?php endif; ?>

		<?php if ( in_array( 'pinterest', $social_setting ) ) : ?>
            <a target="_blank" rel="noopener noreferrer nofollow" class="bopobb-social-share bopobb-share-pinterest"
               href="https://pinterest.com/pin/create/button/?url=<?php echo rawurlencode( $social_link['url'] ); ?>&amp;description=<?php echo esc_attr( $share_link_title ); ?>&amp;media=<?php echo esc_attr( $share_image_url ); ?>"
               data-link="https://pinterest.com/pin/create/button/?url={bopobb_share}&amp;description=<?php echo esc_attr( $share_link_title ); ?>&amp;media=<?php echo esc_attr( $share_image_url ); ?>"
               data-url="<?php echo esc_url( $social_link['url'] ); ?>"
               title="<?php esc_html_e( 'Pinterest', 'bopo-woocommerce-product-bundle-builder' ); ?>"
               onclick="window.open(this.href); return false;">
                <i class="bopobb-icm bopobb-icm-pinterest"></i>
            </a>
		<?php endif; ?>

		<?php if ( in_array( 'vkontakte', $social_setting ) ) : ?>
            <a target="_blank" rel="noopener noreferrer nofollow" class="bopobb-social-share bopobb-share-vkontakte"
               href="https://vkontakte.ru/share.php?url=<?php echo rawurlencode( $social_link['url'] ); ?>"
               data-link="https://vkontakte.ru/share.php?url={bopobb_share}"
               data-url="<?php echo esc_url( $social_link['url'] ); ?>"
               title="<?php esc_html_e( 'VK', 'bopo-woocommerce-product-bundle-builder' ); ?>"
               onclick="window.open(this.href); return false;">
                <i class="bopobb-icm bopobb-icm-vk"></i>
            </a>
		<?php endif; ?>

		<?php if ( in_array( 'tumblr', $social_setting ) ) : ?>
            <a target="_blank" rel="noopener noreferrer nofollow" class="bopobb-social-share bopobb-share-tumblr"
               href="https://tumblr.com/widgets/share/tool?canonicalUrl=<?php echo rawurlencode( $social_link['url'] ); ?>"
               data-link="https://tumblr.com/widgets/share/tool?canonicalUrl={bopobb_share}"
               data-url="<?php echo esc_url( $social_link['url'] ); ?>"
               title="<?php esc_html_e( 'Tumblr', 'bopo-woocommerce-product-bundle-builder' ); ?>"
               onclick="window.open(this.href); return false;">
                <i class="bopobb-icm bopobb-icm-tumblr"></i>
            </a>
		<?php endif; ?>

		<?php if ( in_array( 'linkedin', $social_setting ) ) : ?>
            <a target="_blank" rel="noopener noreferrer nofollow" class="bopobb-social-share bopobb-share-linkedin"
               href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo rawurlencode( $social_link['url'] ); ?>"
               data-link="https://www.linkedin.com/shareArticle?mini=true&url={bopobb_share}"
               data-url="<?php echo esc_url( $social_link['url'] ); ?>"
               title="<?php esc_html_e( 'LinkedIn', 'bopo-woocommerce-product-bundle-builder' ); ?>"
               onclick="window.open(this.href); return false;">
                <i class="bopobb-icm bopobb-icm-linkedin"></i>
            </a>
		<?php endif; ?>

		<?php if ( in_array( 'url', $social_setting ) ) : ?>
            <span class="bopobb-social-share bopobb-share-url" data-url="<?php echo esc_url( $social_link['url'] ); ?>"
                  data-link="{bopobb_share}"
                  title="<?php esc_html_e( 'Url', 'bopo-woocommerce-product-bundle-builder' ); ?>">
                <i class="bopobb-icm bopobb-icm-copy"></i>
            </span>
            <span class="bopobb-copy-tooltip"><?php esc_html_e( 'Copied', 'bopo-woocommerce-product-bundle-builder' ); ?></span>
		<?php endif; ?>

    </div>

<?php do_action( 'bopobb_after_social_share' ); ?>