<?php
$settings = VI_WOO_BOPO_BUNDLE_DATA::get_instance();
$language = '';
if ( is_plugin_active( 'sitepress-multilingual-cms/sitepress.php' ) ) {
	$default_lang     = apply_filters( 'wpml_default_language', null );
	$current_language = apply_filters( 'wpml_current_language', null );

	if ( $current_language && $current_language !== $default_lang ) {
		$language = $current_language;
	}
} else if ( class_exists( 'Polylang' ) ) {
	$default_lang     = pll_default_language( 'slug' );
	$current_language = pll_current_language( 'slug' );
	if ( $current_language && $current_language !== $default_lang ) {
		$language = $current_language;
	}
}

if ( isset( $args['items'] ) ) {
	$items = $args['items'];
}
$bopo_mode_class = '';
$bopo_mode_id    = 0;
if ( isset( $args['bopo_mode'] ) ) {
	if ( isset( $args['bopo_mode']['class'] ) ) {
		$bopo_mode_class = $args['bopo_mode']['class'];
	}
	if ( isset( $args['bopo_mode']['sc_id'] ) ) {
		$bopo_mode_id = $args['bopo_mode']['sc_id'];
	}
}
if ( isset( $args['bundle_id'] ) ) {
	$bundle_id      = $args['bundle_id'];
	$product_bundle = wc_get_product( $bundle_id );
}
if ( isset( $args['product_array'] ) ) {
	$product_arr = $args['product_array'];
}
if ( isset( $args['bopo_fixed_price'] ) ) {
	$bopo_fixed_price = $args['bopo_fixed_price'];
}
if ( isset( $args['bopo_fixed_sale'] ) ) {
	$bopo_fixed_sale = $args['bopo_fixed_sale'];
}
if ( isset( $args['bopo_tax_array'] ) ) {
	$bopo_tax_array = $args['bopo_tax_array'];
}
if ( isset( $args['bopo_template'] ) ) {
	$bopo_template = $args['bopo_template'];
} else {
	$bopo_template = '';
}
$p_description = [];
$p_ratting     = [];
for ( $i = 0; $i < $items['count']; $i ++ ) {
	if ( ! empty( $product_arr[ $i ]['bopo_product'] ) ) {
		if ( $product_arr[ $i ]['bopo_product'] instanceof WC_Product_Variation ) {
			$p_id                      = $product_arr[ $i ]['bopo_product']->get_parent_id();
			$p_prd                     = wc_get_product( $p_id );
			$p_short_description[ $i ] = $p_prd->get_short_description();
			$p_data_des                = $product_arr[ $i ]['bopo_product']->get_description();
			$p_description[ $i ]       = ! empty( $p_data_des ) ? $product_arr[ $i ]['bopo_product']->get_description() : $p_prd->get_description();
			if ( $p_prd->get_rating_count() != '0' && ! empty( $p_prd->get_rating_count() ) ) {
				$p_ratting[ $i ] = wc_get_rating_html( $p_prd->get_average_rating() );
			}
		} else {
			$p_short_description[ $i ] = $product_arr[ $i ]['bopo_product']->get_short_description();
			$p_description[ $i ]       = $product_arr[ $i ]['bopo_product']->get_description();
			if ( $product_arr[ $i ]['bopo_product']->get_rating_count() != '0' ) {
				$p_ratting[ $i ] = wc_get_rating_html( $product_arr[ $i ]['bopo_product']->get_average_rating() );
			}
		}
	} else {
		$p_short_description[ $i ] = '';
		$p_description[ $i ]       = '';
	}
}
if ( empty( $language ) ) {
	$change_button = $settings->get_params( 'bopobb_swap_text' );
} else {
	$change_button = $settings->get_params( 'bopobb_swap_text_' . $language );
}
if ( empty( $product_arr ) ) {
	return;
}
?>
    <div class="bopobb-single-wrap bopobb-single-wrap-<?php echo esc_attr( $bundle_id );
	if ( $bopo_mode_class )
		echo esc_attr( ' ' . $bopo_mode_class ) ?>"
         data-id="<?php echo esc_attr( $bundle_id ); ?>"
         data-temp="<?php echo esc_attr( $bopo_template ) ?>">
        <div class="bopobb-custom-title">
			<?php
			if ( ! empty( $items['title'] ) ) {
				echo esc_html( $items['title'] );
			}
			?>
        </div>
		<?php if ( 'top' == $settings->get_params( 'bopobb_alert_position' ) ) { ?>
            <div class="bopobb-alert bopobb-text"></div>
		<?php } ?>
        <div class="bopobb-items-top-wrap">
			<?php
			for ( $i = 0; $i < $items['count']; $i ++ ) {
				$img_class    = ' bopobb-item-change';
				$img_title    = '';
				$data_default = 1;
				if ( empty( $product_arr[ $i ]['bopo_product'] ) ) {
					$img_title    = $change_button;
					$data_default = 0;
				}
				?>
                <div class="bopobb-item-top bopobb-item-<?php echo esc_attr( $i ); ?>"
                     data-default="<?php echo esc_attr( $data_default ); ?>">
                    <div class="bopobb-item-img-wrap bopobb-item-<?php echo esc_attr( $i );
					echo esc_attr( $img_class ); ?>" data-item="<?php echo esc_attr( $i ); ?>"
                         data-product="<?php echo esc_attr( $bundle_id ) ?>"
                         title="<?php echo esc_attr( $img_title ) ?>">
                        <div class="bopobb-item-img"
                             title="<?php echo esc_attr( $product_arr[ $i ]['bopo_product_title'] ) ?>">
							<?php echo wp_kses_post( $product_arr[ $i ]['bopo_product_image'] ); ?>
                        </div>
						<?php
						if ( isset( $items['items'][ $i ]['bopobb_bpi_optional_item'] ) && 1 == $items['items'][ $i ]['bopobb_bpi_optional_item'] ) {
							?>
                            <div class="bopobb-option-remove-wrap<?php if ( empty( $product_arr[ $i ]['bopo_product'] ) )
								echo ' bopobb-hidden' ?>">
                                <span class="bopobb-option-remove bopobb-icon-dismiss"
                                      title="<?php esc_html_e( 'Remove', 'bopo-woocommerce-product-bundle-builder' ) ?>"></span>
                            </div>
							<?php
						}
						?>
                    </div>
                </div>
				<?php
				if ( ( $i + 1 ) < $items['count'] ) {
					?>
                    <span class="bopobb-item-img-separate-wrap">
                        <div class="bopobb-item-img-separate-top">
                            <span class="bopobb-item-img-separate-icon bopobb-icon-plus3"></span>
                        </div>
                        <div class="bopobb-item-img-separate-bottom">
                        </div>
                    </span>
					<?php
				}
			}
			?>
        </div>
        <div class="bopobb-items-bottom-wrap bopobb-template-1">
            <table class="bopobb-detail-table" data-fixed-price="<?php echo esc_attr( $bopo_fixed_price ) ?>"
                   data-fixed-sale="<?php echo esc_attr( $bopo_fixed_sale ) ?>"
                   data-min-quantity="<?php echo esc_attr( isset( $items['min_quantity'] ) ? $items['min_quantity'] : '' ) ?>"
                   data-max-quantity="<?php echo esc_attr( isset( $items['max_quantity'] ) ? $items['max_quantity'] : '' ) ?>"
                   data-price-suffix="<?php echo esc_attr( htmlentities( $product_bundle->get_price_suffix() ) ); ?>"
                   data-tax-include="<?php echo esc_attr( $bopo_tax_array['include'] ); ?>"
                   data-tax-rate="<?php echo esc_attr( $bopo_tax_array['rate'] ); ?>"
                   data-tax-exempt="<?php echo esc_attr( $bopo_tax_array['exempt'] ); ?>"
                   data-tax-view="<?php echo esc_attr( $bopo_tax_array['view'] ); ?>">
                <tbody>
				<?php
				for ( $i = 0; $i < $items['count']; $i ++ ) {
					if ( isset( $items['items'][ $i ]['bopobb_bpi_title'] ) && ! empty( $items['items'][ $i ]['bopobb_bpi_title'] ) ) {
						$item_title = $items['items'][ $i ]['bopobb_bpi_title'];
					} else {
						if ( empty( $language ) ) {
							$item_title = $settings->get_params( 'bopobb_popup_title' );
						} else {
							$item_title = $settings->get_params( 'bopobb_popup_title_' . $language );
						}
					}
					$item_custom_title = $item_title;
					if ( isset( $product_arr[ $i ]['bopo_product_title'] ) && ! empty( $product_arr[ $i ]['bopo_product_title'] ) ) {
						$item_title = $product_arr[ $i ]['bopo_product_title'];
					}
					?>
                    <tr class="bopobb-item-product bopobb-item-<?php echo esc_attr( $i ) ?>"
                        data-discount-type="<?php echo esc_attr( $product_arr[ $i ]['bopo_discount_type'] ) ?>"
                        data-discount-number="<?php echo esc_attr( $product_arr[ $i ]['bopo_discount_number'] ) ?>"
                        data-price="<?php echo esc_attr( $product_arr[ $i ]['bopo_product_price'] ) ?>"
                        data-qty="<?php echo esc_attr( $product_arr[ $i ]['bopo_quantity'] ) ?>"
                        data-id="<?php echo esc_attr( $product_arr[ $i ]['bopo_product_id'] ) ?>"
                        data-max="<?php echo esc_attr( $product_arr[ $i ]['bopo_product_stock'] ) ?>"
                        data-change="<?php echo esc_attr( $product_arr[ $i ]['bopo_item_can_change'] ); ?>"
                        data-item="<?php echo esc_attr( $i ); ?>"
                        data-type="<?php echo esc_attr( isset( $product_arr[ $i ]['bopo_product'] ) &&
					                                    is_object( $product_arr[ $i ]['bopo_product'] ) &&
					                                    method_exists( $product_arr[ $i ]['bopo_product'], 'get_type' )
						    ? $product_arr[ $i ]['bopo_product']->get_type() : 'simple' ); ?>"
                        data-custom-title="<?php echo esc_attr( $item_custom_title ); ?>"
                        data-title="<?php echo esc_attr( $item_title ); ?>"
                        data-optional="<?php echo esc_attr( isset( $items['items'][ $i ]['bopobb_bpi_optional_item'] ) ? $items['items'][ $i ]['bopobb_bpi_optional_item'] : '' ); ?>">
                        <th>
                            <div class="bopobb-item-detail-wrap">
                                <div class="bopobb-item-detail">
                                    <a class="bopobb-item-title <?php if ( $settings->get_params( 'bopobb_link_individual' ) == 2 )
										echo esc_attr( 'bopobb-item-change' ) ?>"
                                       data-item="<?php echo esc_attr( $i ) ?>"
                                       data-product="<?php echo esc_attr( $bundle_id ) ?>" <?php
									if ( ! $settings->get_params( 'bopobb_des_position' ) || ! $settings->get_params( 'bopobb_short_des_position' ) ) {
										?> title="<?php
										$hover_des      = ! $settings->get_params( 'bopobb_short_des_position' ) && $settings->get_params( 'bopobb_view_description' ) ? $p_short_description[ $i ] : '';
										$hover_full_des = ! $settings->get_params( 'bopobb_des_position' ) && $settings->get_params( 'bopobb_view_full_description' ) ? $p_description[ $i ] : '';
										if ( empty( $hover_des ) ) {
											$hover_des = $hover_full_des;
										} else {
											$hover_des .= PHP_EOL . $hover_full_des;
										}
										if ( ! empty( $hover_des ) ) {
											echo wp_kses_post( $hover_des );
										} ?>" <?php
									}
									if ( $settings->get_params( 'bopobb_link_individual' ) == 1 ) {
										echo esc_attr( ' target=_blank' );
										if ( ! empty( $product_arr[ $i ]['bopo_product_id'] ) ) {
											echo esc_attr( ' href=' . get_permalink( $product_arr[ $i ]['bopo_product_id'] ) );
										}
									}
									?>>
										<?php echo esc_html( $item_title ) ?>
                                    </a>
									<?php
									if ( $settings->get_params( 'bopobb_view_ratting' ) ) {
										if ( ! empty( $p_ratting[ $i ] ) ) {
											echo wp_kses_post( $p_ratting[ $i ] );
										}
									}
									if ( $settings->get_params( 'bopobb_view_stock' ) ) {
										if ( ! empty( $product_arr[ $i ]['bopo_product'] ) ) {
											echo wp_kses_post( wc_get_stock_html( $product_arr[ $i ]['bopo_product'] ) );
										}
									}
									if ( $settings->get_params( 'bopobb_des_position' ) || $settings->get_params( 'bopobb_short_des_position' ) ) { ?>
                                        <div class="bopobb-item-detail-description-wrap">
											<?php
											if ( $settings->get_params( 'bopobb_short_des_position' ) && $settings->get_params( 'bopobb_view_description' ) ) {
												?>
                                                <div class="bopobb-item-detail-short-description"><?php
												echo wp_kses_post( $p_short_description[ $i ] );
												?></div><?php
											}
											if ( $settings->get_params( 'bopobb_des_position' ) && $settings->get_params( 'bopobb_view_full_description' ) ) {
												?>
                                                <div class="bopobb-item-detail-description"><?php
												echo wp_kses_post( $p_description[ $i ] );
												?></div><?php
											}
											?>
                                        </div>
									<?php } ?>
                                    <input type="hidden" class="bopobb-item-variations"
                                           value="<?php echo esc_attr( $product_arr[ $i ]['bopo_product_variations'] ) ?>"
                                           readonly="readonly">
                                </div>
                                <div class="bopobb-item-change-wrap">
                                    <div class="bopobb-item-change bopobb-item-<?php echo esc_attr( $i ) ?> bopobb-icon-pencil"
                                         data-item="<?php echo esc_attr( $i ) ?>"
                                         data-product="<?php echo esc_attr( $bundle_id ) ?>"
                                         title="<?php echo esc_html( $change_button ) ?>">
                                    </div>
                                </div>
                            </div>
                        </th>
                        <td>
                            <div class="bopobb-item-right">
                                <div class="bopobb-item-quantity">
									<?php $is_fixed_qty = false;
									if ( (int) $product_arr[ $i ]['bopo_quantity_min'] ==
									     (int) $product_arr[ $i ]['bopo_quantity_max'] )
										$is_fixed_qty = true ?>
                                    <input type="number" class="bopobb-item-qty<?php if ( $is_fixed_qty )
										echo ' bopobb-item-qty-fixed' ?>"
                                           step="1" inputmode="numeric"
                                           min="<?php echo esc_attr( $product_arr[ $i ]['bopo_quantity_min'] ) ?>"
                                           max="<?php echo esc_attr( $product_arr[ $i ]['bopo_quantity_max'] ) ?>"
                                           name="<?php echo esc_attr( 'bopobb_qty_' . $i ) ?>"
                                           value="<?php echo esc_attr( $product_arr[ $i ]['bopo_quantity'] ) ?>"
										<?php if ( $is_fixed_qty )
											echo 'disabled' ?>>
                                </div>
                                <div class="bopobb-item-price">
									<?php
									if ( ! empty( $product_arr[ $i ]['bopo_product'] ) ) {
//										echo wp_kses_post( $product_arr[ $i ]['bopo_product']->get_price_html() );
										if ( 2 == $product_arr[ $i ]['bopo_discount_type'] ) {
											$item_price = (float) $product_arr[ $i ]['bopo_discount_number'];
											if ( $bopo_tax_array['exempt'] == 0 && $bopo_tax_array['view'] == 1 ) {
												$item_price += $item_price * ( (float) $bopo_tax_array['rate'] / 100 );
											}
											echo wp_kses_post( wc_price( $item_price ) . $product_arr[ $i ]['bopo_product']->get_price_suffix() );
										} else {
											echo wp_kses_post( $product_arr[ $i ]['bopo_product']->get_price_html() );
										}
									} else {
										echo esc_html( '......' );
									}
									?>
                                </div>
                            </div>
                        </td>
                    </tr>
				<?php } ?>
                </tbody>
            </table>
        </div>
		<?php if ( 'bottom' == $settings->get_params( 'bopobb_alert_position' ) ) { ?>
            <div class="bopobb-alert bopobb-text"></div>
		<?php } ?>
		<?php if ( $settings->get_params( 'bopobb_single_note' ) == 1 ) { ?>
            <div class="bopobb-single-note-wrap">
				<?php woocommerce_form_field( 'bopobb_single_note_' . esc_attr( $bundle_id ) . '_' . esc_attr( $bopo_mode_id ), array(
					'type'        => 'textarea',
					'class'       => array( 'bopobb-single-note-input' ),
					'label'       => esc_html( $settings->get_params( 'bopobb_title_note' ) ),
					'placeholder' => esc_html( $settings->get_params( 'bopobb_title_note' ) ),
					'required'    => false,
				), '' ); ?>
            </div>
		<?php }
		if ( isset( $social_link ) && ! empty( $social_link ) && isset( $social_setting ) && ! empty( $social_setting ) ) {
			bopobb_get_template( 'social-share.php', array(
				'social_setting' => $social_setting,
				'social_link'    => $social_link
			), '', VI_WOO_BOPO_BUNDLE_TEMP_DIR );
		}
		if ( $settings->get_params( 'bopobb_print_bundle' ) ) { ?>
            <div class="bopobb-print-wrap bopobb-hidden">
                <span class="bopobb-print-button" data-title="<?php echo esc_html( $product_bundle->get_title() ) ?>"><i class="bopobb-icm bopobb-icm-printer"></i><?php esc_html_e('Print Bundle', 'bopo-woocommerce-product-bundle-builder');?></span>
            </div>
		<?php } ?>
    </div>
<?php
